/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef REDHAT_ISDN_H
#define REDHAT_ISDN_H

#ifndef QTONLY
#  include <kcmodule.h>
#else
#  include "kde-int.h"
#endif

#include <qlistbox.h>
#include <qtabwidget.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qcheckbox.h>

#include "dialout.h"
#include "provider.h"
#include "isdncard.h"
#include "about.h"
#include "generaldata.h"

class KIsdnConfig:public KCModule
{
  Q_OBJECT

public:
  KIsdnConfig(QWidget * parent = 0L, const char *name = 0L);
  virtual ~ KIsdnConfig();

  QTabWidget *tabdialog;

  Dialout *tab_dialout;
  Provider *tab_provider;
  ISDNCard *tab_isdncard;

  void load();
  void save();
  void defaults();
  void debug();

  int buttons();

signals:
  void somethingChanged();
  void changeproviderdialout(const QString &, const QString &);
  void removeproviderdialout(const QString &);
  void addproviderdialout(const QString &);
  void setproviderisdncardtab(bool);

public slots:
  void slotconfigChanged();
  void slotchangeproviderdialout(const QString &, const QString &);
  void slotremoveproviderdialout(const QString &);
  void slotaddproviderdialout(const QString &);
  void slotsetproviderisdncardtab(bool);

private:
  About *tab_about;
  void errormessage();
  void checkroot();
};

#endif
