/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef ISDNCARD_H
#define ISDNCARD_H

#include <qwidget.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qframe.h>
#include <qcombobox.h>
#include <qvbuttongroup.h>
#include <qlayout.h>
#include <qhbox.h>
#include <qgroupbox.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include <qtooltip.h>
#include <qcheckbox.h>

class ISDNCard:public QWidget
{
  Q_OBJECT

public:
  ISDNCard(QWidget * parent = 0, const char *name = 0);
  ~ISDNCard();

  void filldialog();

signals:
  void somethingChanged();

public slots:
  void slotSetResource(const QString &);
  void irqChange(int);
  void memChange(const QString &);
  void ioChange(const QString &);
  void io1Change(const QString &);
  void io2Change(const QString &);
  void slotSetisdncard(bool);
  void slotDChannelProtoChange(int);

private:
  QComboBox *isdnlist;
  QSpinBox *irq;
  QLineEdit *mem;
  QLineEdit *io;
  QLineEdit *io1;
  QLineEdit *io2;

  QRadioButton *euro;
  QRadioButton *tr6;
  QGroupBox *resource_box;
  QCheckBox *isdncard;
  QVButtonGroup *f;

  enum { TR6 = 1, EURO = 2 };
};

#endif
