/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef PROVIDER_H
#define PROVIDER_H

#include <qwidget.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qfile.h>
#include <qmessagebox.h>

#include "providerinfo.h"
#include "providerdb.h"
#include "generaldata.h"

#ifndef ISDNDATABASE
#  define ISDNDATABASE "/usr/lib/isdn/isdndb.txt"
#endif

class Provider:public QWidget
{
  Q_OBJECT
public:
  Provider(QWidget * parent = 0L, const char *name = 0L);
  ~Provider();

  ProviderInfo *providerinfo;
  ProviderDb *providerdb;

signals:
  void addproviderdialout(const QString &);
  void removeproviderdialout(const QString &);
  void changeproviderdialout(const QString &, const QString &);
  void somethingChanged();
  
private:
  QListBox * provider;
  
  QPushButton *new_button;
  QPushButton *add_button;
  QPushButton *delete_button;
  QPushButton *edit_button;

  void setbuttons(bool);
  void addprovider(const QString &);
  void addprovider(const QString, const QString &);
  void checkbuttons();
  void editprovider(const QString &);
  bool isproviderselected();

  void load();
  void noisdndbmessage();

private slots:
  void slotNew();
  void slotAdd();
  void slotDelete();
  void slotEdit(QListBoxItem *);
  void slotEdit();
  void slotprovider();
};

#endif
